Name:           gitg
Version:        0.0.8
Release:        1%{?dist}
Summary:        GTK+ graphical interface for the git revision control system

Group:          Development/Tools
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.0/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  dbus-devel
BuildRequires:  GConf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtksourceview2-devel
BuildRequires:  intltool

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires:       git

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.


%package        devel
Summary:        Development files for %{name}
License:        GPLv2+
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.


%prep
%setup -q


%build
%configure --disable-schemas --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install                                       \
  --delete-original                                        \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications            \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gitg.schemas > /dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gitg.schemas >  /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gitg.schemas > /dev/null || :
fi


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog

%{_bindir}/gitg
%{_datadir}/gitg
%{_mandir}/man1/gitg.1*
%{_libdir}/lib%{name}-*.so.*

%{_datadir}/icons/hicolor/*/apps/gitg.*

%{_sysconfdir}/gconf/schemas/gitg.schemas
%{_datadir}/applications/gitg.desktop


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libgitg-1.0.pc
%{_libdir}/lib%{name}-*.so

%{_includedir}/libgitg-1.0/


%changelog
* Thu Apr 21 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.8-1
- Update to 0.0.8
- Add -devel package

* Tue Apr 13 2010 James Bowes <jbowes@redhat.com> 0.0.6-3
- update icon cache

* Tue Apr 13 2010 James Bowes <jbowes@redhat.com> 0.0.6-2
- Remove pixmaps dir

* Tue Apr 13 2010 James Bowes <jbowes@redhat.com> 0.0.6-1
- Update to 0.0.6

* Tue Sep 15 2009 James Bowes <jbowes@redhat.com> 0.0.5-1
- Update to 0.0.5

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 02 2009 James Bowes <jbowes@redhat.com> 0.0.3-1
- Initial packaging for Fedora.

